Your submission was sent successfully! Close

CVE-2017-12675

Published: 07 August 2017

In ImageMagick 7.0.6-3, a missing check for multidimensional data was found in coders/mat.c, leading to a memory leak in the function ReadImage in MagickCore/constitute.c, which allows attackers to cause a denial of service.

Priority

Low

CVSS 3 base score: 6.5

Status

Package Release Status
imagemagick
Launchpad, Ubuntu, Debian
Upstream
Released (8:6.9.7.4+dfsg-14)
Ubuntu 18.04 LTS (Bionic Beaver) Not vulnerable
(8:6.9.7.4+dfsg-16ubuntu2)
Ubuntu 16.04 ESM (Xenial Xerus) Ignored

Ubuntu 14.04 ESM (Trusty Tahr) Does not exist
(trusty was ignored)
Patches:
Upstream: https://github.com/ImageMagick/ImageMagick/commit/e33a39a6a168cdd800fd160e8f93f0059432bdf7

Notes

AuthorNote
mdeslaur
0110-Memory-leak-in-mat-coder-upstream-616.patch in unstable
0287-CVE-2017-12675-Fix-missing-validation-in-ReadMATImage.patch in wheezy
not fixing memory leak in trusty and xenial

References

Bugs